Create Listing Campaign

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
GET /dashboard/integration/campaign/{partner_short_code}/v1

Create a campaign for a real estate listing with optional dynamic listing creation. For partners familiar with existing Boost customers.

Path parameters

  • partner_short_code string Required

Query parameters

  • mls_id string Required
  • zip string Required

    Format should match the following pattern: ^\d{5}(-\d{4})?$.

  • address string
  • city string
  • state string

    Maximum length is 2.

  • country string
  • price number(double)
  • bed integer

    Minimum value is 0.

  • bath number

    Minimum value is 0.

  • sqft integer

    Minimum value is 0.

  • desc string
  • latitude number(double)

    Minimum value is -90, maximum value is 90.

  • longitude number(double)

    Minimum value is -180, maximum value is 180.

  • status string

    Values are new, rent, pending, sold, reducedprice, or closed.

  • first_name string
  • last_name string
  • phone string
  • email string(email)
  • agent_img string(uri)
  • banner_color string

    Format should match the following pattern: ^[0-9a-fA-F]{6}$. Default value is 00a567.

  • broker_name string

    Default value is Boost By HomeSpotter.

  • listing_url string(uri)
  • img_url string(uri)
  • token string Required

    JWT token with customer_id, agent_id, and iat (V1 format)

Responses

  • 200 text/html

    Campaign created successfully

  • 400

    Invalid parameters

  • 401

    Unauthorized

GET /dashboard/integration/campaign/{partner_short_code}/v1
curl \
 --request GET 'https://boost.homespotter.com/dashboard/integration/campaign/{partner_short_code}/v1?mls_id=string&zip=string&token=string&token=api_token_value'